## lolcat-1.2.tar.gz

=== Makefile ===

CC ?= gcc
LOLCAT_SRC ?= lolcat.c
CENSOR_SRC ?= censor.c
CFLAGS ?= -std=c11 -Wall -Wextra -O3 -Wno-sign-compare
LIBS := -lm

DESTDIR ?= /usr/local/bin

all: lolcat censor

debug: CFLAGS += -g
debug: all

.PHONY: install clean debug

lolcat: $(LOLCAT_SRC)
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

censor: $(CENSOR_SRC)
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

install: lolcat censor
	install lolcat $(DESTDIR)/lolcat
	install censor $(DESTDIR)/censor

clean:
	rm -f lolcat censor

=== PKGBUILD ===
# Maintainer: Ricardo (XenGi) Band <email@ricardo.band>

pkgname=c-lolcat
pkgver=r26.502d379
pkgrel=1
pkgdesc="High-performance implementation of lolcat"
arch=('i686' 'x86_64')
url="https://github.com/jaseg/lolcat"
license=('WTFPL')
depends=('musl')
makedepends=()
conflicts=('lolcat' 'python-lolcat')
source=("$pkgname"::'git+https://github.com/jaseg/lolcat.git')
sha256sums=(SKIP)

pkgver() {
    cd "$srcdir/$pkgname"
    printf 'r%s.%s' "$(git rev-list --count HEAD)" "$(git describe --always)"
}

build() {
  cd "$srcdir/$pkgname"
  make
}

package() {
  cd "$srcdir/$pkgname"
  mkdir -p "${pkgdir}/usr/bin"
  make DESTDIR="$pkgdir/usr/bin" install
}
